package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.entity.MusicGroupPaymentCalender;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

/**
 * @Author Joburgess
 * @Date 2021/2/3 0003
 */
public class MusicArrearageStudentDto {

    private Integer userId;

    private String studentName;

    private String organName;

    private String cooperationName;

    private String musicGroupId;

    private String musicGroupName;

    private String eduTeacherName;

    private String subjectName;

    private Integer gender;

    private String parentName;

    private String phone;

    private BigDecimal noPaymentAmount;

    @ApiModelProperty(value = "缴费类型", required = false)
    private MusicGroupPaymentCalender.PaymentType paymentType;

    public MusicGroupPaymentCalender.PaymentType getPaymentType() {
        return paymentType;
    }

    public void setPaymentType(MusicGroupPaymentCalender.PaymentType paymentType) {
        this.paymentType = paymentType;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }

    public String getOrganName() {
        return organName;
    }

    public void setOrganName(String organName) {
        this.organName = organName;
    }

    public String getCooperationName() {
        return cooperationName;
    }

    public void setCooperationName(String cooperationName) {
        this.cooperationName = cooperationName;
    }

    public String getMusicGroupId() {
        return musicGroupId;
    }

    public void setMusicGroupId(String musicGroupId) {
        this.musicGroupId = musicGroupId;
    }

    public String getMusicGroupName() {
        return musicGroupName;
    }

    public void setMusicGroupName(String musicGroupName) {
        this.musicGroupName = musicGroupName;
    }

    public String getEduTeacherName() {
        return eduTeacherName;
    }

    public void setEduTeacherName(String eduTeacherName) {
        this.eduTeacherName = eduTeacherName;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public Integer getGender() {
        return gender;
    }

    public void setGender(Integer gender) {
        this.gender = gender;
    }

    public String getParentName() {
        return parentName;
    }

    public void setParentName(String parentName) {
        this.parentName = parentName;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public BigDecimal getNoPaymentAmount() {
        return noPaymentAmount;
    }

    public void setNoPaymentAmount(BigDecimal noPaymentAmount) {
        this.noPaymentAmount = noPaymentAmount;
    }
}
